#include <stdio.h>
#include <qapp.h>
#include "Control.h"
#include "EMData.h"
#include "Image.h"
#include "Start.h"
#include "qutil.h"
#include "util.h"

int initdone=0;
Control *control;

int main( int argc, char **argv )
{
QFont *newdf;
QApplication a( argc, argv );
Start *start;
int i;

appinit(argc,argv);

EMQInit(&a);

// This little block of code will display release notes
// the first time EMAN is run from any new version.
FILE *in=DFopenr("version");
char s[20];
if (in) { fgets(s,19,in); fclose(in); }
if (!in || strncmp(s,"1.60 ",5)) { 
	system("QHelp release.html");
	FILE *out=DFopenw("version");
	fprintf(out,"1.60 \n");
	fclose(out);
}


start=new Start;
a.setMainWidget(start);
start->show();
return a.exec();

}
